Package Gnumed :: Package wxpython :: Module gmMacro |
[frames] | no frames]

# Module gmMacro

source code

GNUmed macro primitives.

This module implements functions a macro can legally use.

Author: K.Hilbert <karsten.hilbert@gmx.net>

Classes
| gmPlaceholderHandler Returns values for placeholders.
| cMacroPrimitives Functions a macro can legally use.

Functions
show_placeholders() | source code

Variables
| known_variant_placeholders = `[u'free_text', u'text_snippet', u`...``
| default_placeholder_regex = `r'\$<[^<:]+::.*?::\d*?>\$'`
| first_order_placeholder_regex = `r'\$<<<[^<:]+?::.*::\d*?>>>\$'`
| second_order_placeholder_regex = `r'\$<<[^<:]+?::.*::\d*?>>\$'`
| third_order_placeholder_regex = `r'\$<[^<:]+::.*?::\d*?>\$'`
| default_placeholder_start = `u'$<'`
| default_placeholder_end = `u'>$'`

Imports: sys, time, random, types, logging, os, codecs, wx, gmI18N, gmGuiBroker, gmTools, gmBorg, gmExceptions, gmCfg2, gmDateTime, gmMimeLib, gmPerson, gmStaff, gmDemographicRecord, gmMedication, gmPathLab, gmPersonSearch, gmVaccination, gmKeywordExpansion, gmPraxis, gmGuiHelpers, gmNarrativeWidgets, gmPatSearchWidgets, gmPersonContactWidgets, gmPlugin, gmEMRStructWidgets, gmListWidgets, gmDemographicsWidgets, gmDocumentWidgets, gmKeywordExpansionWidgets, gmMeasurementWidgets, gmPraxisWidgets

Variables Details

  ### known_variant_placeholders Value:
      [u'free_text', u'text_snippet', u'data_snippet', u'tex_escape', u'toda
      y', u'gender_mapper', u'client_version', u'name', u'date_of_birth', u'
      patient_address', u'adr_street', u'adr_number', u'adr_subunit', u'adr_
      location', u'adr_suburb', u'adr_postcode', u'adr_region', u'adr_countr
      y', u'patient_comm', u'patient_tags', u'patient_photo', u'external_id'
      , u'soap', u'soap_s', u'soap_o', u'soap_a', u'soap_p', u'soap_u', u'so
      ap_admin', u'progress_notes', u'soap_for_encounters', u'soap_by_issue'
      , u'soap_by_episode', u'emr_journal', u'current_meds', u'current_meds_
      ...